%define upstream_name    Sys-Syscall
%define upstream_version 0.25

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Perl module to access system calls that Perl doesn't normally provide access to
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Sys/Sys-Syscall-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Use epoll, sendfile, from Perl.

%prep
%setup -q -n Sys-Syscall-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc CHANGES META.yml MYMETA.yml
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Oct 18 2014 umeabot <umeabot> 0.250.0-6.mga5
+ Revision: 788394
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.250.0-5.mga5
+ Revision: 746576
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.250.0-4.mga5
+ Revision: 686294
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.250.0-3.mga4
+ Revision: 514798
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.250.0-2.mga3
+ Revision: 373000
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.250.0-1.mga3
+ Revision: 342628
- update to 0.25

* Thu Jan 20 2011 jquelin <jquelin> 0.230.0-1.mga1
+ Revision: 27050
- mageia rebuild
- imported package perl-Sys-Syscall


* Mon Apr 19 2010 Jérôme Quelin <jquelin@mandriva.org> 0.230.0-1mdv2010.1
+ Revision: 536732
- update to 0.23

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.220.0-1mdv2010.0
+ Revision: 406183
- rebuild using %%perl_convert_version

* Thu Jul 03 2008 Michael Scherer <misc@mandriva.org> 0.22-3mdv2009.0
+ Revision: 230901
- rebuild
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Apr 22 2007 Michael Scherer <misc@mandriva.org> 0.22-1mdv2008.0
+ Revision: 16869
- upadte to 0.22


* Tue May 02 2006 Michael Scherer <misc@mandriva.org> 0.21-1mdk
- New release 0.21

* Wed Apr 19 2006 Michael Scherer <misc@mandriva.org> 0.20-1mdk
- First Mandriva package

